Hi,
Copy this code and paste it in empty text file and save the file with .cs extension.
If you get any error upload the error message snaps.
Thanks,
Selvaraj Chellamuthu
NX Automation Engineer
NX 9 | Teamcenter 10
Hi,
Try this code.
// NX 9.0.3.4
//
using System;
using NXOpen;
public class NXJournal
{
public static void Main(string[] args)
{
Session theSession = Session.GetSession();
Part workPart = theSession.Parts.Work;
Part displayPart = theSession.Parts.Display;
string...
I tried to use and not able to Configure the non family members. Fastener_Assemblies_Best_Practices_v1.docx is not covered anything about non family members.
Hi All,
Is there any possibility to configure the standard parts(These parts are not created through part family) into fastener assembly.
Is there any other approach to assemble the standard parts quickly.
We are using NX 9.
Thanks,
Selvaraj Chellamuthu
NX Automation Engineer
NX 9 | Teamcenter 10
Use this below code to get the NX version.
string nxVersion = NXOpen.Session.GetSession().GetEnvironmentVariableValue("UGII_FULL_VERSION");
Thanks,
Selvaraj Chellamuthu
NX Automation Engineer
Hi,
Edit Object display - It is used to change the display properties for selected objects like faces, curves, etc..
Assign Feature color - Set the color for the faces which all are created by that feature.
Thanks,
SelvarajC
NX Automation Engineer
Hi moog2,
Code is generated in NX 9. I thought it'll work for NX 8. but some methods have been changed in NX 9. So it is not allowing to compile in NX 8.
Remove the line no 186 and use the below line.
// attributePropertiesBuilder1.SetAttributeObjects(objects5); // To be removed...
Hi,
+0.1 and -0.1 are the default tolerance values for the dimension builder. For example When you create the dimension if you choose the unilateralAbove dimension then it won't allow you to edit the lower tolerance values. But in the dimension object it won't to be reset to 0.
The solution...
Try this..
If you still get the error. please attach the snapshot of the error.
using System;
using NXOpen;
using NXOpen.Assemblies;
public class Program
{
// class members
private static Session theSession;
public static Program theProgram;
public static bool isDisposeCalled...
Try this.
Code is created in C#.
Open the entire assembly and run it.
// --> Copy this code into the .cs file
using System;
using NXOpen;
using NXOpen.Assemblies;
public class Program
{
// class members
private static Session theSession;
public static Program theProgram...
Currently I am working in NXOpen programming. I know the functionality of other dlls.(NXOpen.dll, Snap.dll). NX7.5 does not have this dll. I found this in NX 9.
Just I want to know about this usage.
Hi All,
I have found the pskernal_net.dll file in %UGII_ROOT_DIR%\managed folder.
What is the purpose of this dll?
Is it anything useful for NXOpen programming?
I am using the NX version 9.
Thanks in Advance
When I delete the IsoParametric curve feature, feautre curves won't deleted.
Please check the attached video.
NX Version : NX 9.0.2.5
Thanks,
Selvaraj C
NX Automation Engineer.
http://files.engineering.com/getfile.aspx?folder=757bfd2d-bf10-499c-9489-ffa943b60f10&file=IsoParametricCurve.avi
Try this. Below method will help you.
Conditions:
1. Objects must not be a hidden object.
2. Open the drawing sheet and run the journal
using System;
using NXOpen;
public class NXJournal
{
public static void Main(string[] args)
{
Session theSession =...
Thank you for your reply.
Where can I get these knid of batch arguments script info?.
Is anything mentioned in Documentation?
Thanks,
Selvaraj C
NX Automation Engineer.
Hi All,
Is there any option to open the part file through batch using command line argument.
Generally applications accepts the command line arguments. I tried in NX but it is not working.
For example:
call %UGII_ROOT_DIR%\ugraf.exe D:\files\testPart.prt
Thanks,
Selvaraj C
NX Automation Engineer
Hi All,
I have created a NXOpen external program to open a part file and execute some operations and save as in another file name. This application is getting error in one particular system. The error is it could not able to save as or save the opened part file if folder length is more than 130...
Hi Everyone,
I could not able to rotate the PMI note more than 90 degree in Modling module.
If I enter 100 degree, note rotates 280 degree.
Annotation Style > Letting angle option used to rotate the PMI note.
Anyone please tell me solution for this.
Thanks,
Selvaraj C
NX Automation Engineer.